#ifndef __ERRORES_H
#define __ERRORES_H

enum Errores
{
	ERR_SINERROR=0,	/* no hay error */
	ERR_OK=0,
	ERR_BIEN=0,

	ERR_INICIO_ERRORES = 100,

	ERR_ESPACIO,	/* espacio insuficiente */
	ERR_PARAMETRO,	/* parmetro no vlido */
	ERR_DISCO,	/* error al operar con el disco fsico */
	ERR_FORMATO,	/* formato incorrecto del sistema de ficheros */
	ERR_CORRUPTO,	/* el sistema de ficheros est corrupto */
	ERR_NOEXISTE,	/* el fichero no existe */
	ERR_EXISTE,	/* el fichero ya existe */
	ERR_MONTADO,	/* ya hay un sistema montado */
	ERR_INACTIVO,	/* el sistema no est montado */
	ERR_RANGO,	/* el parametro esta fuera de rango*/
	ERR_LIBRE,	/* el recurso estaba libre */
	ERR_OCUPADO,	/* el recurso estaba ocupado */
	ERR_PERMISOS,	/* no se tienen permisos para realizar la operacion */
	ERR_IMPLEME,	/* el servicio no est implementado */

	ERR_BESTIA	/* lmite de los errores */

};

extern enum Errores Error_SF;

#define HAY_ERROR	(Error_SF!=ERR_SINERROR)


/* pendiente de escribir */

void MensajeError (const char* prologo);


#endif