/*
	Programa de prueba que crea un sistema de ficheros
	y lo formatea

	Uso: creasf nombre_disco tam_bloque num_bloques num_ficheros

*/

#include "sffisico.h"
#include "sfbasico.h"
#include "errores.h"

#include <stdio.h>
#include <stdlib.h>

main(int argc,char*argv[])
{

  char* argumentos[3];

  char* nombre_fichero = argv[1];
  WORD tam_bloque_fisico = atoi(argv[2]);
  DWORD num_bloques_fisicos = atol(argv[3]);

  argumentos[0] = argv[4];
  argumentos[1] = "2";
  argumentos[2] = 0;

  if (argc<=2) return 1;
  if (tam_bloque_fisico==0) tam_bloque_fisico=512;
  if (num_bloques_fisicos==0) num_bloques_fisicos=1000;

  FabricaDisco( nombre_fichero, tam_bloque_fisico, num_bloques_fisicos );
  FormateaSFB ( nombre_fichero, argumentos );

  if (HAY_ERROR) 
  {
    fprintf(stderr,"Error. Cdigo=%u\n",Error_SF);
    return 1;
  }
  else return 0;
}
