/*
	Programa que muestra el directorio de un disco SFB

	Uso: dire nombre_disco

*/

#include "sfbasico.h"
#include "errores.h"

#include <stdio.h>

main(int argc,char* argv[])
{
  int x;

  MontaSFB(argv[1],0);
  if (HAY_ERROR) return 1;

  printf("Nombre    IFB   Longitud\n");
  printf("========================\n\n");

    for (x=0;;x++)
    {
      IFB ifb;
      char nombre[12];
      ifb=EntradaDir(x,nombre);
	if (ifb==NINGUN_IFB) break;
      printf("%-9.9s %5d %6d\n",nombre,ifb,LongitudFB(ifb));
    }

  DesmontaSFB();

  if (HAY_ERROR) return 1;
}
