/*
	Programa de prueba que lee un bloque de un fichero bsico

	Uso: lee nombre_disco nombre_fichero num_bloque
*/

#include "sfbasico.h"
#include "errores.h"

#include <stdio.h>

main (int argc,char* argv[])
{
  IFB ifb;
  char* bufer;
  WORD num_bloque;
  int i,tam_bloque_datos;

  if (argc<3) return 1;

  MontaSFB(argv[1],0);
  tam_bloque_datos = TamBloqueDatos();
  bufer = (char*)malloc(tam_bloque_datos);
  num_bloque = atoi(argv[3]);
  ifb = BuscaFB(argv[2]);
  if (HAY_ERROR) return 2;
  
  LeeBloqueFB (ifb,num_bloque,bufer);
  DesmontaSFB();

  if (HAY_ERROR) return 2;

  for (i=0;i<tam_bloque_datos;i++)
    putchar(bufer[i]);
  puts("");
}
